Wireshark-dev: [Wireshark-dev] xmllint failing on developer-guide.xml
From: Stephen Fisher <[email protected]>
Date: Tue, 19 Feb 2008 00:27:31 -0700
The buildbot and my machine are now failing to verify (xmllint) 
developer-guide.xml due to this error:

wsdg_src/WSDG_chapter_quick_setup.xml:4: parser error : XML declaration 
allowed only at the start of the document
<?xml version='1.0' encoding='utf-8'?>

The top of the file was recently changed to add $Id$ in an XML comment:

<!-- WSDG Chapter Setup -->
<!-- $Id: WSDG_chapter_quick_setup.xml 24382 2008-02-18 22:39:03Z wmeier $ -->

<?xml version='1.0' encoding='utf-8'?>
<chapter id="ChapterSetup">
  <title>Quick Setup</title>

I was about to just move <?xml version=... to the first line, but then I 
realized that none of the other xml files in docbook/wsdg_src/ have a 
version statement.  The main xml files in docbook/ (user-guide.xml, 
developer-guide.xml, etc.) do however.

My question is: Is there any need for a version 1.0 / encoding = utf-8 
statement at the top of docbook/wsdg_src/WSDG_chapter_quick_setup.xml?  
Or can we just yank it out?


Steve